# UniTAP.dev.ports.modules.capturer.event.result_event

class ResultEventObject(UniTAP.dev.modules.capturer.result_object.ResultObject):

Class `ResultEventObject` inherited from class `ResultObject`. Class `ResultEventObject` allows saving captured events to file `save_to_file_selected_event` or `save_to_file_all_events`. Also has all the `ResultObject` functionality.

ResultEventObject(fw_info: dict)
def save_to_file_selected_event( self, file_format: UniTAP.dev.ports.modules.capturer.event.event_types.EventFileFormat, path: str, index: int):

Saving selected event to file. Supported file formats describe in `EventFileFormat`.

###### Arguments:

- file_format (`PictureFileFormat`) - file format
- path (str) - path to save
- index (int) - number of event in list

def save_to_file_all_events( self, file_format: UniTAP.dev.ports.modules.capturer.event.event_types.EventFileFormat, path: str):

Saving all events to file. Supported file formats describe in `EventFileFormat`.

###### Arguments:

- file_format (`EventFileFormat`) - file format
- path (str) - path to save

##### Inherited Members

UniTAP.dev.modules.capturer.result_object.ResultObject
  start_capture_time
  end_capture_time
  timestamp
  buffer
  clear